HIVE Digital Technologies Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.hivedigitaltechnologies.com/medias/uploads/2025-09-30_HIVE_Digital_Interim_FS.pdf",
    "holding_balance": 210.0,
    "holding_net_change": -225.0,
    "transaction_value_usd": 25678476.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.hivedigitaltechnologies.com/medias/uploads/2025-12-31_HIVE_Digital_Interim_FS.pdf",
    "holding_balance": 481.0,
    "holding_net_change": 271.0,
    "transaction_value_usd": 23710136.88,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1780358400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.hivedigitaltechnologies.com/static/hivesite/filings/000106299326002973/form10k.htm",
    "holding_balance": 166.0,
    "holding_net_change": -315.0,
    "transaction_value_usd": 21001456.35,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    166.0
  ],
  [
    1782950400000,
    166.0
  ],
  [
    1783036800000,
    166.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    9954115.3
  ],
  [
    1782950400000,
    10206979.78
  ],
  [
    1783036800000,
    10379314.34
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.56,
    "date": "2026-06-30",
    "high": 3.72,
    "open": 3.68,
    "close": 3.64,
    "volume": 16593900
  },
  {
    "low": 3.38,
    "date": "2026-07-01",
    "high": 3.62,
    "open": 3.59,
    "close": 3.46,
    "volume": 20212400
  },
  {
    "low": 3.2,
    "date": "2026-07-02",
    "high": 3.68,
    "open": 3.59,
    "close": 3.24,
    "volume": 30834600
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.152,
  "quarterly_earnings_growth": -0.999,
  "eps_estimate_current_quarter": -0.218
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -28.63,
  "six_month_return": 26.07,
  "three_month_return": 71.43
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hive-digital-technologies-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.2,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}